const $ = require("jquery");
require("babel-polyfill");
const echarts = require("echarts");
require("./../css/knowledgeTree.less");
require("./../css/common.css");
// require("ztree");
require('./../resources/images/icon.png');
require('./../resources/images/iconOpen.png');
require('./../resources/images/iconClose.png');
require('./../resources/images/node.png');
require('./../resources/images/radioUnSelect.png');
require('./../resources/images/radioSelect.png');
require('./../resources/images/iconSlideUp.png');
require('./../resources/images/iconSlideDown.png');
require('./../resources/images/iconSelect.png');
require('./../resources/images/logo.png');
require('./../resources/zTree/js/jquery.ztree.core.min.js');
require('./../resources/zTree/js/jquery.ztree.excheck.min.js')
require('./../resources/zTree/css/zTreeStyle/zTreeStyle.css');
// document.write("aaaa");
const {getSchema,updateTree,getTree,getNode} = require('./schemaMap.js');

window.select_type="diagnose";
window.select_type_noSearch="diagnose";
 const clientHei = $(window).height()
 const contentHei = clientHei - 80
 $(".left").css("height",contentHei+'px')
 $(".right").css("height",contentHei+'px')
 $(".ztree").css("height",contentHei-80-43-60-20+'px')
 $("#main").css("height",contentHei-20-20+'px')
//关系图
getSchema("胆囊炎",select_type);
getTree(1,1,"胆囊炎");
$('#searchInp').val("胆囊炎")

//选择类型
$('.select').click(function(e){
    e.stopPropagation();
    const selectListShow = $('.selectList').css('display')
    if(selectListShow == 'none'){
        $('.iconSlide').attr('src','./images/iconSlideUp.png')
    } else{
        $('.iconSlide').attr('src','./images/iconSlideDown.png')
    }
    $('.selectList').fadeToggle()
   
})
$('.selectList .selectItem').click(function(){
    select_type_noSearch = $(this).attr('data-id')
    const txt =  $(this).text()
    $(".selectedName").html(txt)
})

//搜索节点名
$("#searchInp").bind("input propertychange",function(event){
    const val = $("#searchInp").val().trim()
    if(val){
        getNode(val,select_type_noSearch)
    }else{
        $(".tabNameList").hide()
    }
});


//搜索
$('#searchBtn').click(function(e){
    e.stopPropagation()
    const val = $('#searchInp').val()
    if(val){
        getSchema(val,'diagnose')
        updateTree(val)
    }else{
       $('.tabNameListNoSearch').show()
    }
})

//切换tab
$('.tabList .tab').click(function(){
    const id = $(this).attr('data-id')
    $(this).addClass("activeTab").siblings().removeClass('activeTab')
    if(id != select_type){
        if(id != "diagnose"){
            $(".radioList").hide()
        }else{
            $(".radioList").show()
        }
        select_type = id
        // getTree(1,1,"");  //切换tab重新画菜单树
    }
})

//点击页面其他地方关闭下拉
$('html').click(function(){
    const selectListShow = $('.selectList').css('display')
    const tabNameListShow = $('.tabNameList').css('display')
    const tabNameListNoSearchShow = $('.tabNameListNoSearch').css('display')

    if(selectListShow == 'block'){
        $('.selectList').hide()
        $('.iconSlide').attr('src','./images/iconSlideDown.png')
    }
    if(tabNameListShow == 'block'){
        $('.tabNameList').hide()
    }
    if(tabNameListNoSearchShow == 'block'){
        $('.tabNameListNoSearch').hide()
    }
})
		
		
	





